package com.simuwang.base.pojo.vo;

import lombok.Data;

@Data
public class EmailTypeRuleVO {
    /**
     * 主键Id
     */
    private Integer id;
    /**
     * 净值类型识别规则(多个以英文逗号隔开)
     */
    private String nav;
    /**
     * 估值表类型识别规则(多个以英文逗号隔开)
     */
    private String valuation;
    /**
     * 月度报告类型识别规则(多个以英文逗号隔开)
     */
    private String monthReport;
    /**
     * 季度报告类型识别规则(多个以英文逗号隔开)
     */
    private String quarterReport;
    /**
     * 年度报告类型识别规则(多个以英文逗号隔开)
     */
    private String yearReport;
    /**
     * 基金合同(多个以英文逗号隔开)
     */
    private String contract;
    /**
     * 分红公告(多个以英文逗号隔开)
     */
    private String distribution;
    /**
     * 变更公告(多个以英文逗号隔开)
     */
    private String changeReport;
}