package com.simuwang.base.pojo.vo;

import lombok.Data;

import java.util.Date;

/**
 * FileName: FileManageDO
 * Author:   chenjianhua
 * Date:     2024/12/18 17:01
 * Description: ${DESCRIPTION}
 */
@Data
public class FileManageVO {
    /**
     * ID
     */
    private Integer id;
    /**
     * 文件ID
     */
    private Integer fileId;
    /**
     *  文件名称
     */
    private String fileName;
    /**
     *  文件路径
     */
    private String filePath;
    /**
     *  基金ID
     */
    private String fundId;
    /**
     *  基金名称
     */
    private String fundName;
    /**
     *  备案编码
     */
    private String registerNumber;
    /**
     * 公司ID
     */
    private String companyId;
    /**
     * 公司名称
     */
    private String companyName;
    /**
     *  文件日期
     */
    private String fileDate;
    /**
     *  文件类别，1-净值规模，2-估值表，3-月度报告，4-季度报告，5-年度报告，6-基金合同，7分红公告，8-变更过公告
     */
    private Integer fileType;
    /**
     * 分类来源,0-系统分类，1-人工分类
     */
    private Integer sourceType;
}
